function XtemplateAutoloader( xt ){

	var start = function() {

		$('[data-xtemplate]').each(function () {
			var templateName = $(this).data('xtemplate'),
				variables   = $(this).data('xtemplate-vars') || {empty: true},
				attrVar     = $(this).data('xtemplate-attr-vars') || false;

			this.removeAttribute('data-xtemplate');
			this.removeAttribute('data-xtemplate-vars');
			this.removeAttribute('data-xtemplate-attr-vars');

			if(attrVar){
				var vars  = attrVar.split(','),
					data = $(this).data();

				vars.forEach( function(key, index){
				//	console.log('xtVar' + key);
					variables[ key ] = data['xtVar' + key];
				});

				// console.log(data, variables);

			}

			variables.__html = $(this).html();
			if ($(this).data('xtemplate-content') == 'clear') {
				$(this).html('');
				this.removeAttribute('data-xtemplate-content');
			}

			var t = xt.getTemplates();
			if(t['#' + templateName]) {
				// console.log(t['#' + templateName], variables);
				xt.apply('#' + templateName, variables, null, '#' + this.id);
			}else{
				console.error(templateName + ' not found');
			}
		});
	}

	if( !!window['XtemplateRemoteLoader'] ){

		(new XtemplateRemoteLoader()).on('complete', start);

	}else{
		start();
	}

}