/**
 * Created by dlm on 05/08/16.
 */
methods['#event-screen'] = function(){

	var fakeData = {
		date: '2016-09-16',
		title: 'Marina di Pietrasanta',
		description: 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.',
		cover_url: 'images/logo.png',

		iconsrc1: 'images/ico_iscriviti.png',
		icontitle1: 'Iscriviti',
		iconpage1: 'lorem',

		iconsrc2: 'images/ico_programma.png',
		icontitle2: 'Programma',
		iconpage2: 'event-program'
	};

	window.mapArgs = {
		estroso: false
	};

	$(document).on('activate-screen', '#event-screen', function (event,eventId) {
		console.log(eventId);
		var successCB = function(response){
			if(response.status == 'OK'){
				function haveATicket(eventId) {
					var gotTicket = false;
					tickets.forEach( function(item){
						if(item.event_id == eventId){
							console.log("Ticket trovato", item);
							gotTicket = true;
						}
					});
					return gotTicket;
				}
				$('#event-container').html('');

				xt.apply('#event-detail', response, function(item){
					item = parseDateVal(item, 'event_date');
					// Se ho un biglietto
					if( haveATicket(item.id) ){
						item.icontitle1 = 'Mappa';
						item.iconsrc1 = 'images/ico_map-marker.png';
						item.iconpage1 = 'map-screen';

						window.mapArgs.lat = item.lat;
						window.mapArgs.lon = item.lon;

						if(item.show_map == '1'){
							window.mapArgs.poi = item.poi;
						} else {
							window.mapArgs.poi = [];
						}

					}else {
						if (item.subscription_status === false) {

							item.iconsrc1 = 'images/ico_iscriviti.png';
							item.icontitle1 = 'Iscriviti';
							item.iconpage1 = 'subscription-closed';

						} else {

							item.iconsrc1 = 'images/ico_iscriviti.png';
							item.icontitle1 = 'Iscriviti';
							item.iconpage1 = '';
							item.iconurl1 = remoteHost + '/?p=' + item.id;

						}
					}

					item.iconsrc2 = 'images/ico_programma.png';
					item.icontitle2 = 'Programma';
					item.iconpage2 = 'program-screen';
					if(item.program === undefined) item.program        = item.description.replace(/^[.\s\S]*-- PROGRAMMA --/, '').replace(/\n/g,'<br />');
					item.description    = item.description.replace(/-- PROGRAMMA --[.\s\S]*$/, '').replace(/\n/g,'<br />');
					console.log(item);
					$('#program-container').html( item.program );

					return item;
				}, '#event-container');

			}
		};


		function showEventDetails(){
			if($('#event-screen').is('.current')) {
				periodicalAsk({
					key: false,
					storeAs: 'place_' + eventId,
					url: '/place/info',
					method: 'get',
					arguments: {
						event_id: eventId
					},
					callback: successCB
				});
				setTimeout(showEventDetails, 60000);
			}
		}

		showEventDetails();

	});
};